Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 16:55:46 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 14 Jan 2024 22:19:57 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I still don't understand what would be the downside of giving users
> > such a knob.  The worst that can happen is that this knob will
> > sometimes not work.  So what?
> 
> I thought we didn't want options that only work once in a blue moon, and
> that only when Jupiter is aligned with the Galactic Center, or something
> similarly rare, such as using the X core font backend.

We don't know what is the fraction of cases that this will work.  We
do know that sometimes it won't, but it could be "good enough".

> > I say let's introduce it and let users who want to use it cope with
> > the results.  All it takes is a new DRFVAR and a single 'if'.
> 
> I've expressed my objections, but if you're fine with the said
> shortcomings, then I won't press the matter.

I think we should provider such a variable, yes.  As long as it
doesn't require any further maintenance, I don't see any downsides.